Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.CompositeAtom

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Atom
          org.monte.media.quicktime.AbstractQuickTimeStream.DataAtom
              org.monte.media.quicktime.AbstractQuickTimeStream.CompositeAtom

Enclosing class:
  AbstractQuickTimeStream

    protected class AbstractQuickTimeStream.CompositeAtom

extends AbstractQuickTimeStream.DataAtom

A CompositeAtom contains an ordered list of Atoms.

Field Summary
`protected java.util.LinkedList<AbstractQuickTimeStream.Atom>` | `children`

Fields inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.DataAtom
`data, finished`

Fields inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Atom
`offset, type`

Constructor Summary
`AbstractQuickTimeStream.CompositeAtom(java.lang.String type)` Creates a new CompositeAtom at the current position of the ImageOutputStream.

Method Summary
`void` | `add(AbstractQuickTimeStream.Atom child)`
`void` | `finish()` Writes the atom and all its children to the ImageOutputStream and disposes of all resources held by the atom.
`long` | `size()` Returns the size of the atom including the size of the atom header.

Methods inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.DataAtom
`getOffset, getOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### children

    protected java.util.LinkedList<AbstractQuickTimeStream.Atom> children

Constructor Detail

### AbstractQuickTimeStream.CompositeAtom

    public AbstractQuickTimeStream.CompositeAtom(java.lang.String type)
                                          throws java.io.IOException

  Creates a new CompositeAtom at the current position of the ImageOutputStream.

  Parameters:
    `type` - The type of the atom.
  Throws:
    `java.io.IOException`

Method Detail

### add

    public void add(AbstractQuickTimeStream.Atom child)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### finish

    public void finish()
                throws java.io.IOException

  Writes the atom and all its children to the ImageOutputStream and disposes of all resources held by the atom.

  Overrides:
    `finish` in class `AbstractQuickTimeStream.DataAtom`
  Throws:
    `java.io.IOException`

### size

    public long size()

  Description copied from class: `AbstractQuickTimeStream.Atom`
  Returns the size of the atom including the size of the atom header.

  Overrides:
    `size` in class `AbstractQuickTimeStream.DataAtom`
  Returns:
    The size of the atom.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD